package com.fs.watch.mapper;

import com.fs.watch.domain.WatchMedicationTask;
import com.fs.watch.domain.vo.WatchUserAndMedicationVo;
import org.apache.ibatis.annotations.Param;

import java.util.ArrayList;
import java.util.List;

/**
 * 腕用药提醒Mapper接口
 *
 * @author fs
 * @date 2024-12-10
 */
public interface WatchMedicationTaskMapper
{
    /**
     * 查询腕用药提醒
     *
     * @param id 腕用药提醒主键
     * @return 腕用药提醒
     */
    public WatchMedicationTask selectWatchMedicationTaskById(Long id);

    /**
     * 查询腕用药提醒列表
     *
     * @param watchMedicationTask 腕用药提醒
     * @return 腕用药提醒集合
     */
    public List<WatchMedicationTask> selectWatchMedicationTaskList(WatchMedicationTask watchMedicationTask);

    /**
     * 新增腕用药提醒
     *
     * @param watchMedicationTask 腕用药提醒
     * @return 结果
     */
    public int insertWatchMedicationTask(WatchMedicationTask watchMedicationTask);

    /**
     * 修改腕用药提醒
     *
     * @param watchMedicationTask 腕用药提醒
     * @return 结果
     */
    public int updateWatchMedicationTask(WatchMedicationTask watchMedicationTask);

    /**
     * 删除腕用药提醒
     *
     * @param id 腕用药提醒主键
     * @return 结果
     */
    public int deleteWatchMedicationTaskById(Long id);

    /**
     * 批量删除腕用药提醒
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteWatchMedicationTaskByIds(Long[] ids);

    int insertList(@Param("tasks") ArrayList<WatchMedicationTask> tasks);

    List<WatchUserAndMedicationVo> medicationTaskList(Integer medicationTime);

}
